
;This procedure is intended for use as part of the PMIAS system.  This system
;has been developed by the HAO dPMon project to facilitate the initial
;quality assurance procedures required for new dPMon data.  Please make
;no changes to any of the files in this directory without first contacting
;dPMon personnel.
;
;   Questions regarding PMIAS should be directed to:
;
;			Ray Wrigley     FL2 3084  x1588
;			Alice Lecinski  FL2 3037  x1523
;
;   This module is not used during normal PMIAS system operation.  Its 
;   purpose is to compile all of the other PMAIS modules and then save
;   them as a stored IDL session under the name 'pmias_compiled.dat'.
;   Then starting the system simply requires restoring the saveset.  This
;   procedure should be executed batch style (by typing @pmias_compile)
;   after any changes are made to the code of any module.
;
.run pmias_setup.pro
.run pmias_dayselect.pro
.run pmias_filesort.pro
.run pmias_widgets.pro
.run pmias_load_images.pro
.run pmias_parse_hdrs.pro
.run pmias_imchange.pro
.run pmias_colorscale.pro
.run pmias_logenter.pro
.run pmias_writelogs.pro
.run pmias_logstatus.pro
.run pmias_enlarge.pro
.run pmias_save.pro
.run pmias_recall.pro
.run pmias_title.pro

print, ' '
print, '   Saving routines...'
save, /routines, filename = 'pmias_compiled.dat'

exit
