function gridy,xdim,ydim,xcen,ycen,pix2r,grid_disk_color,grid_space_color

nray=720 &                      nraym1=nray-1
filenm=' '

;;;pix2r = 110.0      

acirc = !PI * 2.0 / float(nray)
dp    = findgen(nray) * acirc  +  acirc * (0.25 * (float(nray)))
dpx   = intarr(nray)
dpy   = intarr(nray)
rnder = 0.5005
radius=1.00
dpx   = fix ( cos(dp) * pix2r * radius + xcen + rnder )  ; For disk size
dpy   = fix ( sin(dp) * pix2r * radius + ycen + rnder )  ; For disk size


if(not n_elements(img)) then  img=bytarr(xdim,ydim)

img(*,*) = 0
img(dpx,dpy)=grid_disk_color

d2r   = !pi/180.
for Theta=10.,90.,10. do begin ;{               Grids of longitude on the disk.
    th = Theta*d2r
    dpx   = fix ( cos(dp)*cos(th) * pix2r * radius + xcen + rnder )
    img(dpx,dpy)=grid_disk_color
endfor ;}

for Theta=0.,180.,10. do begin ;{               Grids of latitide on the disk.
    th = Theta*d2r
    dpx   = fix ( cos(dp)*sin(th) * pix2r * radius + xcen + rnder )
    dpy(*)= fix ( cos(th)         * pix2r * radius + ycen + rnder )
    img(dpx,dpy)=grid_disk_color
endfor ;}

;for radius=1.,1.5,0.05 do begin ;{              Grids of radial height.
    ;dpx   = fix ( cos(dp) * pix2r * radius + xcen + rnder ) 
    ;dpy   = fix ( sin(dp) * pix2r * radius + ycen + rnder )
    ;bp = where (dpx le 0 ) 
    ;if (bp(0) ne -1) then begin ;{
    ;    dpx(bp)=0  &  dpy(bp)=0
    ;endif;}
    ;bp = where (dpy le 0 ) 
    ;if (bp(0) ne -1) then begin ;{
    ;    dpx(bp)=0  &  dpy(bp)=0
    ;endif ;}
    ;img(dpx,dpy)=grid_space_color
;endfor ;}

apltrad = (findgen(pix2r/2) + pix2r) / pix2r
for Theta=0.,360.,10. do begin ;{                       Grids of Position Angle.
    th = Theta*d2r
    dpx = fix ( cos(th) * pix2r * apltrad + xcen + rnder )
    dpy = fix ( sin(th) * pix2r * apltrad + ycen + rnder )
    bp = where (dpx le 0 ) 
    if (bp(0) ne -1) then begin;{
        dpx(bp)=0  &  dpy(bp)=0
    endif;}
    bp = where (dpy le 0 ) 
    if (bp(0) ne -1) then begin ;{
        dpx(bp)=0  &  dpy(bp)=0
    endif;}
    img(dpx,dpy)=grid_space_color
endfor ;}

return,img
 
end
