pro pmias_grid , val
@pmias_common

forward_function gridy

if ( val eq 'DISK' ) then begin
    grid_d_color=100  &  grid_s_color=100
endif else begin
    grid_d_color=255  &  grid_s_color=255
endelse


gscale     = float(scl)
gscale     = 2.              ;   Alice can't see a thing on the small images.


ftmp     = topdir + dataday + '/' + fnms(cntr)
im_tmp   = readfits(ftmp, fitshdr,noscale=1)

xdim= sxpar(fitshdr,'NAXIS1')    &  ydim =sxpar(fitshdr,'NAXIS2')
gxsz= xdim/gscale                &  gysz =ydim /gscale
xcen= sxpar(fitshdr,'CRPIX1')    &  ycen =sxpar(fitshdr,'CRPIX2')
xcen= xcen/gscale                &  ycen =ycen /gscale
pix2r=sxpar(fitshdr,'CRRADIUS')  &  pix2r=pix2r/gscale

if(gscale ne 1.) then begin
    big_im     = rebin(im_tmp(0:gxsz*gscale-1,0:gysz*gscale-1),gxsz,gysz) 
    grid_array = !d.window
    wset,        grid_array
    grid_array = gridy(gxsz,gysz,xcen,ycen,pix2r,grid_d_color,grid_s_color)
endif else begin
    big_im     = im_tmp (0:pixx-1, 0:wysz)
    grid_array = !d.window
    wset,        grid_array
    grid_array = gridy(pixx,wysz,xcen,ycen,pix2r,grid_d_color,grid_s_color)
endelse






   case datascale of            ;Write image to pixmap according to scaling.
      0 : begin
             n_exp = sxpar(fitshdr,'NIMAVG')
             if(n_exp eq 0) then n_exp = sxpar(fitshdr,'NIMSUM')
             if(n_exp eq 0) then n_exp=1
             big_im  = big_im  / (1. * n_exp)

             mxi = fix((1.+ (max(big_im (100:xsz-100,100:ysz-100)))/50.)*50.)

             if(val eq 'DISK') then mni=fix(mxi-0.70*mxi) $
                               else mni=0
	     big_im = bytscl(big_im ,min=mni,max=mxi,top=231)
          end
      1 : begin
	     mni = cold_pix(cntr)  &  mxi = hot_pix(cntr)
	     big_im = bytscl(big_im ,min=mni,max=mxi)
          end
   endcase

   big_im(where(grid_array eq grid_d_color))          $
	      = grid_array(where(grid_array eq grid_d_color))

   tv,big_im

end
